Subject: git rebase -p does not find mainline

From: David Kastrup <[email-masked]>
Date: Fri, 28 Oct 2011 09:51:14 +0200

When doing git rebase -p in order to do a non-trivial rebase tracking
merges, I get a message about a missing -m option for specifying the
mainline.

git rebase does not have the corresponding option.  The fix is to do

git cherry-pick -m 1 offending-merge-commit
git rebase --continue

but that is quite unobvious from the resulting error message that does
not even mention "cherry-pick".  Since git rebase -p is supposed to
"preserve merges", it should just cherry-pick with the same mainline
that the original merge commit had, without asking the user questions or
even failing.

This is the version of git delivered with Ubuntu 11.10, namely 1.7.5.4.

-- 
David Kastrup